"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConsoleReport = void 0;
const dotenv = __importStar(require("dotenv"));
dotenv.config({ path: __dirname + '/.env' });
const colours = {
    reset: '\x1b[0m',
    bright: '\x1b[1m',
    dim: '\x1b[2m',
    underscore: '\x1b[4m',
    blink: '\x1b[5m',
    reverse: '\x1b[7m',
    hidden: '\x1b[8m',
    fg: {
        black: '\x1b[30m',
        red: '\x1b[31m',
        green: '\x1b[32m',
        yellow: '\x1b[33m',
        blue: '\x1b[34m',
        magenta: '\x1b[35m',
        cyan: '\x1b[36m',
        white: '\x1b[37m',
        crimson: '\x1b[38m',
    },
    bg: {
        black: '\x1b[40m',
        red: '\x1b[41m',
        green: '\x1b[42m',
        yellow: '\x1b[43m',
        blue: '\x1b[44m',
        magenta: '\x1b[45m',
        cyan: '\x1b[46m',
        white: '\x1b[47m',
        crimson: '\x1b[48m',
    },
};
const INFO = '[INFO]';
const DEBUG = '[DEBUG]';
const WARNING = '[WARNING]';
const ERROR = '[ERROR]';
var ConsoleReport;
(function (ConsoleReport) {
    function prettyMessage(logLevel, msg) {
        const dateString = `[${getDate()}]`;
        return `${dateString} ${logLevel} ${msg}`;
    }
    function getDate() {
        return new Date()
            .toISOString()
            .replace(/T/, ' ')
            .replace(/\..+/, '');
    }
    function info(message) {
        toConsole(message, INFO, colours.fg.green);
    }
    ConsoleReport.info = info;
    function debug(message) {
        toConsole(message, DEBUG, colours.fg.white);
    }
    ConsoleReport.debug = debug;
    function warning(message) {
        toConsole(message, WARNING, colours.fg.yellow);
    }
    ConsoleReport.warning = warning;
    function error(message) {
        toConsole(message, ERROR, colours.fg.red);
    }
    ConsoleReport.error = error;
    function toConsole(msg, level, color) {
        if (!process.env.CI) {
            const messageToLog = prettyMessage(level, msg);
            console.log(color, messageToLog, colours.reset);
        }
    }
})(ConsoleReport = exports.ConsoleReport || (exports.ConsoleReport = {}));
//# sourceMappingURL=ConsoleReport.js.map