import { APIRequestContext, APIResponse } from '@playwright/test';
import { IDeleteOptions, IGetOptions, IHeadOptions, IPostOptions, IPutOptions } from '../index';
export declare namespace RequestUtils {
    function getRequestContext(options?: any): Promise<APIRequestContext>;
    function getRequest(request: APIRequestContext, url: string, options?: IGetOptions): Promise<APIResponse>;
    function postRequest(request: APIRequestContext, url: string, options?: IPostOptions): Promise<APIResponse>;
    function putRequest(request: APIRequestContext, url: string, options?: IPutOptions): Promise<APIResponse>;
    function headRequest(request: APIRequestContext, url: string, options?: IHeadOptions): Promise<APIResponse>;
    function deleteRequest(request: APIRequestContext, url: string, options?: IDeleteOptions): Promise<APIResponse>;
}
