"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidationUtils = void 0;
const test_1 = require("@playwright/test");
const Reporter_1 = require("../reporter/Reporter");
const util_1 = require("util");
var ValidationUtils;
(function (ValidationUtils) {
    function validateStatus(response, expectedStatus) {
        Reporter_1.Reporter.debug(`Validate return status is: ${expectedStatus}`);
        (0, test_1.expect)(response.status()).toEqual(expectedStatus);
    }
    ValidationUtils.validateStatus = validateStatus;
    function validateData(response, expectedData) {
        Reporter_1.Reporter.debug(`Validate response contains next data: ${(0, util_1.inspect)(expectedData)}`);
        for (const k in expectedData) {
            const value = expectedData[k];
            Reporter_1.Reporter.debug(`Validate ${k} and ${value} in response`);
            value ? (0, test_1.expect)(response).toHaveProperty(k, value) : (0, test_1.expect)(response).toHaveProperty(k);
        }
    }
    ValidationUtils.validateData = validateData;
})(ValidationUtils = exports.ValidationUtils || (exports.ValidationUtils = {}));
//# sourceMappingURL=ValidationUtils.js.map